Bug 1127691 - mysqld does not start
Summary: mysqld does not start
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mysql
Version: 6.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Honza Horak
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 11:01 UTC by Stuart Newman
Modified: 2014-11-11 07:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-11 07:11:34 UTC


Attachments (Terms of Use)
post install log from kickstart of system build (162.21 KB, text/plain)
2014-08-07 15:15 UTC, Stuart Newman
no flags Details
boot.log from system boot. (3.65 KB, application/octet-stream)
2014-08-07 15:16 UTC, Stuart Newman
no flags Details
mysqld log (1.63 KB, text/plain)
2014-08-07 15:16 UTC, Stuart Newman
no flags Details
/var/log/messages (344.51 KB, text/plain)
2014-08-07 15:17 UTC, Stuart Newman
no flags Details
error log (17.93 KB, text/plain)
2014-08-07 15:18 UTC, Stuart Newman
no flags Details

Description Stuart Newman 2014-08-07 11:01:32 UTC
Description of problem:With SELinux in enforcing mode, mysqld fails when "service mysqld start" is keyed in.  There is no AVC log entry.  When SElLinux is put in permissive mode, mysqld starts.


Version-Release number of selected component (if applicable):5.1.73-3.el6_5


How reproducible:
Always

Steps to Reproduce:
1.Install mysql, mysql-server
2.Boot system
3.

Actual results:
mysqld fails to start

Expected results:
mysqld should start

Additional info:

Comment 2 Honza Horak 2014-08-07 12:15:27 UTC
Can you, please, look into /var/log/messages and also /var/log/mysqld.log to see if you find some suspicious message there?

Comment 3 Stuart Newman 2014-08-07 15:15:21 UTC
Created attachment 924937 [details]
post install log from kickstart of system build

Comment 4 Stuart Newman 2014-08-07 15:16:13 UTC
Created attachment 924938 [details]
boot.log from system boot.

Comment 5 Stuart Newman 2014-08-07 15:16:47 UTC
Created attachment 924939 [details]
mysqld log

Comment 6 Stuart Newman 2014-08-07 15:17:14 UTC
Created attachment 924941 [details]
/var/log/messages

Comment 7 Stuart Newman 2014-08-07 15:18:03 UTC
Created attachment 924942 [details]
error log

Comment 8 Honza Horak 2014-08-25 11:34:30 UTC
I don't see anything special in the log. Please, try to restore SELinux context of your datadir and log file, for default configuration:
  #> restorecon -r /var/lib/mysql /var/log/mysqld.log /etc/my.cnf

It seems you've run the daemon with an empty datadir, is that correct? Do you use standard paths or you use some arbitrary path for your data files?

Comment 9 Stuart Newman 2014-11-10 12:05:51 UTC
Please close

Comment 10 Honza Horak 2014-11-11 07:11:34 UTC
Closing as per comment #9.


Note You need to log in before you can comment on or make changes to this bug.